Name:           eyesight
Summary:        Hawaii desktop image viewer
Version:        0.1.4
Release:        %mkrel 1
Group:          Graphical desktop/Other
# Bundles webp, which is BSD
License:        GPLv2+ and BSD
URL:            http://hawaiios.org/projects/eyesight
# git clone --no-checkout https://github.com/hawaii-desktop/eyesight.git
# cd eyesight/
# git archive v0.1.1 --prefix=eyesight-0.1.1/ |gzip >eyesight-0.1.1.tar.gz
Source0:        https://github.com/hawaii-desktop/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  qttools5
BuildRequires:  cmake
BuildRequires:  bzip2-devel
BuildRequires:  desktop-file-utils

%description
Provides image viewer for Hawaii desktop.

%prep
%setup -q

%build
%cmake 

%install
%makeinstall_std -C build

desktop-file-install --delete-original                          \
        --dir %{buildroot}%{_datadir}/applications           \
        %{buildroot}%{_datadir}/applications/*.desktop


%files
%{_bindir}/eyesight
%{_datadir}/applications/eyesight.desktop
%{_datadir}/eyesight
%{_datadir}/appdata/eyesight.appdata.xml
%doc COPYING
%doc README.md


%changelog
* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.1.4-1.mga6
+ Revision: 927211
- 0.1.4
- update URLs

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 741447
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-2.mga5
+ Revision: 679073
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 dams <dams> 0.1.2-1.mga5
+ Revision: 592495
- new version 0.1.2

* Thu Feb 06 2014 neoclust <neoclust> 0.1.1-1.mga5
+ Revision: 584049
- imported package eyesight

